/*
 * Polyadventure
 *
 * A remake of the various versions of the classic Adventure game by Don
 * Woods and Willie Crowther, based on their sources.  Currently, the 350,
 * 550, and 551-point versions are implemented.  See the creditsVerb in this
 * file for more information.
 *
 * Recommended TADS Release
 * ------------------------
 *
 * The recommended TADS release is the latest one (currently 2.5.5) but the 
 * game will probably work with 2.5.0 or later.  The most recent features 
 * which are now used are the verbAction method, the disambigDobj method 
 * (used by verbs in the numberedVerb class) and parserGetObj (used to 
 * retrieve information about the current actor, direct object or indirect
 * object).
 *
 * This TADS version is adapted from David M. Baggett's port (Colossal Cave
 * Revisited) of the original 350-point game.
 *
 * Polyadventure and its accompanying source code are
 * Copyright (C) 1993 David M. Baggett and
 * Copyright (C) 1998-2002 David J. Picton and
 * Copyright (C) 1999 Bennett J. Standeven.
 *
 *---------------------------------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *---------------------------------------------------------------------------
 *
 * Please document all changes in the history (here as well as in the
 * appropriate source files) so we know who did what.
 *
 *---------------------------------------------------------------------------
 *
 * You are free to do what you will with this game, provided you adhere to
 * the terms in the GNU Public License.
 *
 * Contributors (see history.t for current e-mail addresses)
 *
 *      dmb     In real life:   David M. Baggett
 *
 *      djp     In real life:   David J. Picton
 *
 *      bjs     In real life:   Bennett J. Standeven
 *
 * Bug reports
 *
 * See history.t for a list of people who have helped to improve this game
 * by providing bug reports.
 *
 * Modification History
 *
 * See history.t for a summary of the Modification History.  See individual
 * files for a detailed list of changes with each version.
 */

#ifdef __DEBUG
#define WIZARD
#endif

#include "history.t"

#include "adv259.t"
#include "advmods.t"
#include "ccr-fun.t"
#include "ccr-thx.t"
#include "format.t"
#include "preparse.t"
#include "ccr-std.t"
#include "ccr-room.t"
#include "ccr-rm1.t"
#include "ccr-rm2.t"
#include "ccr-rm7.t"
#include "ccr-rm11.t"
#include "ccr-rm15.t"
#include "ccr-endg.t"
#include "ccr-item.t"
#include "ccr-itm1.t"
#include "ccr-itm2.t"
#include "ccr-itm7.t"
#include "ccr-it11.t"
#include "ccr-it15.t"
#include "ccr-verb.t"
#include "ccr-npc.t"
#include "ccr-npc1.t"
#include "ccr-npc2.t"
#include "ccr-npc7.t"
#include "ccr-np11.t"
#include "ccr-np15.t"
#include "ccr-help.t"
#include "ccr-hint.t"
